
QGIS Application - Bug report #16100

switching between layer styles breaks relation widget 

2017-01-20 09:21 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24013

Description

On a project with a relation defined between a parent and a child layer, with a form on the parent layer displaying childs features, if user

switches between different layer styles, then forms will show only empty relation widgets. 

See attached test dataset and project.

Associated revisions

Revision 23396b7c - 2020-05-28 03:49 AM - Nyall Dawson

[symbology] Don't force rasterized output when exporting point pattern fills

This avoids the force conversion to a raster based pattern which currently occurs

when exporting maps/layouts to a vector format (e.g. PDF). The raster pattern

results in considerable quality loss, and the tiling edges of the raster brush

can sometimes be seen in outputs.

Additionally, fixes render corrupt when marker subsymbols have data defined properties

which affect the marker shape, such as data defined rotation or sizes

Refs #16100 (still needs fixing for line fill symbols)

History

#1 - 2017-03-06 02:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Affected QGIS version changed from 2.18.2 to 2.18.4

Does it affect also master?

#2 - 2017-04-18 02:40 AM - Damien Chollet

- Target version changed from Version 3.0 to Version 2.14

Yes, that affect also master.

#3 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-26 05:05 PM - Giovanni Manghi

- Description updated

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.4 to master

#5 - 2017-07-07 03:40 PM - Matthias Kuhn

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in commit:c89ffe46c5f7404fc4a0fa9b48f6508e89d9e07f and commit:162063be1b71e677b065349ad437036b6268e07d

Files

switch_style_looses_relation_widget.qgs 200 KB 2017-01-20 Regis Haubourg

data.gpkg 2 MB 2017-01-20 Regis Haubourg

2025-04-27 2/2


